Package alt.javax.mail

# Class TransportImpl

java.lang.Object
alt.javax.mail.ServiceImpl
alt.javax.mail.TransportImpl

All Implemented Interfaces:
  `Service`, `Transport`

public class TransportImpl extends ServiceImpl implements Transport

## Constructor Summary

Constructors
Constructor
Description
`TransportImpl(javax.mail.Transport transport)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTransportListener(TransportListener transportListener)`
`void`
`removeTransportListener(TransportListener transportListener)`
`void`
`send(Message message)`
`void`
`send(Message message, Address[] addresses)`
`void`
`sendMessage(Message message, Address[] addresses)`

### Methods inherited from class alt.javax.mail.ServiceImpl

`addConnectionListener, close, connect, connect, connect, getURLName, isConnected, removeConnectionListener, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface alt.javax.mail.Service

`addConnectionListener, close, connect, connect, connect, getURLName, isConnected, removeConnectionListener, toString`

## Constructor Details

### TransportImpl

public TransportImpl(javax.mail.Transport transport)

## Method Details

### send

public void send(Message message) throws MessagingException

Specified by:
  `send` in interface `Transport`
Throws:
  `MessagingException`

### send

public void send(Message message, Address[] addresses) throws MessagingException

Specified by:
  `send` in interface `Transport`
Throws:
  `MessagingException`

### sendMessage

public void sendMessage(Message message, Address[] addresses) throws MessagingException

Specified by:
  `sendMessage` in interface `Transport`
Throws:
  `MessagingException`

### addTransportListener

public void addTransportListener(TransportListener transportListener)

Specified by:
  `addTransportListener` in interface `Transport`

### removeTransportListener

public void removeTransportListener(TransportListener transportListener)

Specified by:
  `removeTransportListener` in interface `Transport`